=== modified file 'lib/canonical/launchpad/security.py'
--- lib/canonical/launchpad/security.py	2009-12-24 01:26:58 +0000
+++ lib/canonical/launchpad/security.py	2010-01-05 15:44:09 +0000
@@ -574,7 +574,11 @@
     usedfor = ITeam
 
     def checkAuthenticated(self, user):
-        """Launchpad admin, registry experts, team admins and owners."""
+        """Is the user a privileged team member or Launchpad staff?
+        
+        Return true when the user is a member of Launchpad admins,
+        registry experts, team admins, or the team owners.
+        """
         return (
             super(ModerateTeam, self).checkAuthenticated(user)
             or can_edit_team(self.obj, user))

=== modified file 'lib/lp/registry/browser/peoplemerge.py'
--- lib/lp/registry/browser/peoplemerge.py	2010-01-04 20:44:43 +0000
+++ lib/lp/registry/browser/peoplemerge.py	2010-01-05 15:44:09 +0000
@@ -8,6 +8,7 @@
 __all__ = [
     'AdminPeopleMergeView',
     'AdminTeamMergeView',
+    'DeleteTeamView',
     'FinishedPeopleMergeRequestView',
     'RequestPeopleMergeMultipleEmailsView',
     'RequestPeopleMergeView']
@@ -276,13 +277,15 @@
         super(DeleteTeamView, self).__init__(context, request)
         if ('field.dupe_person' in self.request.form
             or 'field.target_person' in self.request.form):
-            self.addError(
-                'The dupe_person and target_person data cannot be submitted.')
+            # These fields have fixed values and are managed by this method.
+            # The user has crafted a request to gain ownership of the dupe
+            # team's assets.
+            self.addError('Unable to process submitted data.')
         elif 'field.actions.delete' in self.request.form:
             # In the case of deleting a team, the form values are always
             # the context team, and the registry experts team. These values
             # are injected during __init__ because the base classes assume the
-            # values are submitted. The validation performed by the base
+            # values are submitted. The validations performed by the base
             # classes are still required to ensure the team can be deleted.
             self.request.form.update(self.default_values)
         else:

